# Uses of Class
java.security.KeyStore.Builder

Packages that use KeyStore.Builder
Package
Description
java.security
Provides the classes and interfaces for the security framework.
javax.net.ssl
Provides classes for the secure socket package.

## Uses of KeyStore.Builder in java.security

Methods in java.security that return KeyStore.Builder
Modifier and Type
Method
Description
`static KeyStore.Builder`
KeyStore.Builder.`newInstance(File file, KeyStore.ProtectionParameter protection)`
Returns a new `Builder` object.
`static KeyStore.Builder`
KeyStore.Builder.`newInstance(String type, Provider provider, File file, KeyStore.ProtectionParameter protection)`
Returns a new `Builder` object.
`static KeyStore.Builder`
KeyStore.Builder.`newInstance(String type, Provider provider, KeyStore.ProtectionParameter protection)`
Returns a new `Builder` object.
`static KeyStore.Builder`
KeyStore.Builder.`newInstance(KeyStore keyStore, KeyStore.ProtectionParameter protectionParameter)`
Returns a new `Builder` that encapsulates the given `KeyStore`.

## Uses of KeyStore.Builder in javax.net.ssl

Methods in javax.net.ssl that return types with arguments of type KeyStore.Builder
Modifier and Type
Method
Description
`List<KeyStore.Builder>`
KeyStoreBuilderParameters.`getParameters()`
Return the unmodifiable List of the KeyStore.Builders encapsulated by this object.
Constructors in javax.net.ssl with parameters of type KeyStore.Builder
Modifier
Constructor
Description
``
`KeyStoreBuilderParameters(KeyStore.Builder builder)`
Construct new KeyStoreBuilderParameters from the specified KeyStore.Builder.
Constructor parameters in javax.net.ssl with type arguments of type KeyStore.Builder
Modifier
Constructor
Description
``
`KeyStoreBuilderParameters(List<KeyStore.Builder> parameters)`
Construct new KeyStoreBuilderParameters from a List of KeyStore.Builders.